﻿fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS1000B/2000B (1 yr) DCV Meas VISA /5520+SC
INSTRUMENT:            Sub Tek TDS1000B/2000B (1 yr) Bandwidth VISA /5520+SC
INSTRUMENT:            Sub Tek TDS1000B/2000B (1 yr) Trig Sens VISA /5520+SC
INSTRUMENT:            Sub Tek TDS1000B/2000B (1 yr) ExTrig Sens VISA /5520+SC
INSTRUMENT:            Sub Tek TDS1000B/2000B (1 yr) Sample Rate VISA /5520+SC
DATE:                  2011-01-18 11:23:11
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       21
NUMBER OF LINES:       698
CONFIGURATION:         Fluke 5520A (SC)
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY, ZY
#
#  Model(s) Covered:
#        TDS1000B Series
#          TDS 1001B, TDS 1002B, TDS 1012B
#        TDS2000B Series
#          TDS 2002B, TDS 2004B, TDS 2012B, TDS 2014B, TDS 2022B, TDS 2024B
#        TDS1000B-SC Series
#          TDS 1001B-SC, TDS 1002B-SC, TDS 1012B-SC
#        TDS1000C-SC Series
#          TDS 1001C-SC, TDS 1002C-SC, TDS 1012C-SC
#        TDS2000C Series
#          TDS 2001C, TDS2004C, TDS2002C, TDS2014C, TDS2012C
#          TDS2024C, TDS2022C
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Tek TDS1000B/2000B Select Channel VISA
#        Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  VISA         *RST;HEADER OFF;*OPC?[I!]
  1.002  CALL         Sub Tek TDS1000B/2000B Select Channel VISA

  1.003  JMPL         DCV_MEAS                     PSUBI("DCV Meas")
  1.004  JMPL         BANDWIDTH                    PSUBI("Bandwidth")
  1.005  JMPL         TRIGGER                      PSUBI(" Trig Sens")
  1.006  JMPL         EXT_TRIGGER                  PSUBI("ExTrig Sens")
  1.007  JMPL         SAMPLE_RATE                  PSUBI("Sample Rate")
  1.008  DISP         {Undefined subprocedure!}
  1.009  END

  1.010  EVAL   Increment step number

# ************************* DC Voltage Measurement  **************************

  2.001  LABEL        DCV_MEAS
  2.002  HEAD         CH [V @Chan] DC GAIN ACCURACY

  2.003  IF           @Chan == 1
  2.004  RSLT         =
  2.005  RSLT         =DC GAIN ACCURACY
  2.006  ENDIF

  2.007  RSLT         =
  2.008  RSLT         =Channel [V @Chan]
  2.009  RSLT         =
  2.010  RSLT         = 5 mV/div
  2.011  TARGET       -p
  2.012  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7][D250]
  2.013  DISP         Connect the 5520A SCOPE OUT to the UUT CH [V @Chan].

  2.014  IF           ZCMP(@MeasMode, "MU")
  2.015  DISP         The next operator intervention occurs in
  2.015  DISP         approximately 9 minutes, 40 seconds...
  2.016  ELSE
  2.017  DISP         The next operator intervention occurs in
  2.017  DISP         approximately 8 minutes...
  2.018  ENDIF

  2.019  VISA         CH[V @Chan]:PRO 1;SCA 5E-3
  2.020  VISA         ACQ:MOD AVE;NUMAV 16
  2.021  VISA         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP MEAN;*OPC?[I!]
  2.022  TARGET       -m
  2.023  5520         17.5mV                                         SC S
# Retrieve the accuracy of positive output of calibrator.
  2.024  MATH         PosAcc = ACCV("Fluke 5520A", "Volts SC", MEM1 * 1E-3)
  2.025  WAIT         -t 7 System settling...
  2.026  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  2.027  MATH         PosValue = MEM / 1E-3
  2.028  5520         -17.5mV                                        SC S
# Retrieve the accuracy of negative output of calibrator.
  2.029  MATH         NegAcc = ACCV("Fluke 5520A", "Volts SC", MEM1 * 1E-3)
  2.030  WAIT         -t 7 System settling...
  2.031  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  2.032  MATH         NegValue = MEM / 1E-3
# RSS uncertainty components and expand to 95% confidence level¡£
  2.033  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF("Fluke 5520A") * 2
# Setup system accuracy.
  2.034  MATH         L[1] = L[1] / 1E-3
  2.035  ACC          35.0mV         L1U
  2.036  MATH         MEM = PosValue - NegValue
  2.037  MEMCX        35.0mV         1.4U

  3.001  RSLT         =
  3.002  HEAD         -2{ 200 mV/div}
  3.003  TARGET       -p
  3.004  VISA         CH[V @Chan]:SCA 200E-3;*OPC?[I!]
  3.005  TARGET       -m
  3.006  5520         700mV                                          SC S
  3.007  MATH         PosAcc = ACCV("Fluke 5520A", "Volts SC", MEM1 * 1E-3)
  3.008  WAIT         -t 7 System settling...
  3.009  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  3.010  MATH         PosValue = MEM / 1E-3
  3.011  5520         -700mV                                         SC S
  3.012  MATH         NegAcc = ACCV("Fluke 5520A", "Volts SC", MEM1 * 1E-3)
  3.013  WAIT         -t 7 System settling...
  3.014  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  3.015  MATH         NegValue = MEM / 1E-3
  3.016  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF("Fluke 5520A") * 2
  3.017  MATH         L[1] = L[1] / 1E-3
  3.018  ACC          1400mV         L1U
  3.019  MATH         MEM = PosValue - NegValue
  3.020  MEMCX        mV             42U

  4.001  RSLT         =
  4.002  HEAD         -2{ 2 V/div}
  4.003  TARGET       -p
  4.004  VISA         CH[V @Chan]:SCA 2;*OPC?[I!]
  4.005  TARGET       -m
  4.006  5520         7.00V                                          SC S
  4.007  MATH         PosAcc = ACCV("Fluke 5520A", "Volts SC", MEM1)
  4.008  WAIT         -t 7 System settling...
  4.009  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  4.010  MATH         PosValue = MEM
  4.011  5520         -7.00V                                         SC S
  4.012  MATH         NegAcc = ACCV("Fluke 5520A", "Volts SC", MEM1)
  4.013  WAIT         -t 7 System settling...
  4.014  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  4.015  MATH         NegValue = MEM
  4.016  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF("Fluke 5520A") * 2
  4.017  ACC          14.00V         L1U
  4.018  MATH         MEM = PosValue - NegValue
  4.019  MEMCX        V              0.42U

  5.001  HEAD         -2
  5.002  HEAD
  5.003  5520         *                                                 S
  5.004  END

  5.005  EVAL   Increment step number

# ********************************* Bandwidth  *******************************

  6.001  LABEL        BANDWIDTH
  6.002  HEAD         CH [V @Chan] BANDWIDTH

  6.003  IF           @Chan == 1
  6.004  RSLT         =
  6.005  RSLT         =BANDWIDTH
  6.006  ENDIF

  6.007  RSLT         =
  6.008  RSLT         =Channel [V @Chan]

  6.009  TARGET       -p
  6.010  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7][D250]
  6.011  HEAD         -2 500 mV/div
  6.012  DISP         Connect the 5520A SCOPE OUT via 50 Ohm feed through
  6.012  DISP         terminator to the UUT CH [V @Chan].

  6.013  IF           @Bandwidth == 200E+6

  6.014  IF           @Chan == 1
  6.015  DISP         The next operator intervention occurs in
  6.015  DISP         approximately 1 minute, 50 seconds ...
  6.016  ELSE
  6.017  DISP         The next operator intervention occurs in
  6.017  DISP         approximately 1 minute, 30 seconds ...
  6.018  ENDIF

  6.019  ELSE

  6.020  IF           @Chan == 1
  6.021  DISP         The next operator intervention occurs in
  6.021  DISP         approximately 1 minute, 30 seconds ...
  6.022  ELSE
  6.023  DISP         The next operator intervention occurs in
  6.023  DISP         approximately 1 minute, 10 seconds ...
  6.024  ENDIF

  6.025  ENDIF

  6.026  VISA         CH[V @Chan]:PRO 1;SCA 500E-3
  6.027  VISA         ACQUIRE:MODE AVERAGE;NUMAVG 16;STATE ON
  6.028  VISA         TRIG:MAI:EDGE:SOU CH[V @Chan];COUP NOISE
  6.029  VISA         HOR:SCA 10E-6
  6.030  VISA         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2;*OPC?[I!]

# Set the output of the calibrator so the peak-to-peak measurement is
# between 2.98 V and 3.02 V.
  6.031  MATH         MEM = 3; MEM1 = MEM

  6.032  DO
  6.033  MATH         MEM = MEM1 + (3 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  6.034  IF           MEM > 5.5 || MEM < 0.005
  6.035  MATH         MEM = 3
  6.036  ENDIF

  6.037  5520         Vpp                          50kH           LS SC S  L
  6.038  VISA         TRIG:MAI SETL;*OPC?[I!]
  6.039  VISA         [D1000]MEASU:MEAS[V @Chan]:VAL?[I]
  6.040  UNTIL        (MEM >= 2.98) && (MEM <= 3.02)

  6.041  VISA         HOR:SCA 10E-9;*OPC?[I!]
# Last calibrator amplitude setting is in MEM1.
  6.042  MATH         MEM = MEM1

  6.043  IF           @Bandwidth == 40E+6
  6.044  5520         Vpp                          40MH           LS SC S  L
  6.045  ELSEIF       @Bandwidth == 50E+6
  6.046  5520         Vpp                          50MH           LS SC S  L
  6.047  ELSEIF       @Bandwidth == 60E+6
  6.048  5520         Vpp                          60MH           LS SC S  L
  6.049  ELSEIF       @Bandwidth == 70E+6
  6.050  5520         Vpp                          70MH           LS SC S  L
  6.051  ELSEIF       @Bandwidth == 100E+6
  6.052  5520         Vpp                          100MH          LS SC S  L
  6.053  ELSEIF       @Bandwidth == 200E+6
  6.054  5520         Vpp                          200MH          LS SC S  L
  6.055  ENDIF

  6.056  WAIT         -t 5 System settling...
  6.057  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  6.058  EVAL   -e MEM >= 2.12 : [32]500 mV/div, >= 2.12 Vpp

  7.001  HEAD         -2
  7.002  HEAD
  7.003  5520         *                                                 S
  7.004  END

  7.005  EVAL   Increment step number

# ********************************** Trigger  ********************************

  8.001  LABEL        TRIGGER
  8.002  HEAD         CH [V @Chan] EDGE-TRIGGER SENSITIVITY

  8.003  IF           @Chan == 1
  8.004  RSLT         =
  8.005  RSLT         =EDGE-TRIGGER SENSITIVITY
  8.006  ENDIF

  8.007  RSLT         =
  8.008  RSLT         =Channel [V @Chan]

  8.009  HEAD         -2 Rising Slope, 1 div at 10 MHz
  8.010  TARGET
  8.011  VISA         CH[V @Chan]:PRO 1;SCA 500E-3
  8.012  VISA         TRIG:MAI:MOD NORM;EDGE:SOU CH[V @Chan]
  8.013  VISA         HOR:SCA 25E-9
  8.014  VISA         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2
  8.015  VISA         ACQ:MOD SAMP;STATE ON;*OPC?[I!]

# Firstly set the output of the calibrator so the peak-to-peak measurement is
# approximately 1000 mV (twice of required test signal).
  8.016  MATH         MEM = 1000; MEM1 = MEM

  8.017  DO
  8.018  MATH         MEM = MEM1 + (1000 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  8.019  IF           MEM > 5500 || MEM < 5
  8.020  MATH         MEM = 1000
  8.021  ENDIF

  8.022  DO
  8.023  5520         mVpp                         10MH           LS SC S  L
  8.024  VISA         [D1000]TRIG:MAI SETL;*OPC?[I!]
# Check the status of trigger
  8.025  VISA         [D500]TRIG:STATE?[I$]
  8.026  UNTIL        FINDI(MEM2, "TRIG", 1)

  8.027  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  8.028  MATH         MEM = MEM / 1E-3
  8.029  UNTIL        (MEM >= 980) && (MEM <= 1020)

# Then attenuate the output of calibrator to half so the input of UUT is
# is approximately 500 mVpp that is just the required test signal for trig
# sensitivity (1 div at 10 MHz).
  8.030  MATH         MEM = MEM1 / 2
  8.031  5520         mVpp                         10MH           LS SC S  L
  8.032  MATH         mVppStd = MEM1
  8.033  VISA         TRIG:MAI SETLEV;*OPC?[I!]
# Save the peak value of signal for later checking the trigger status.
  8.034  MATH         @PeakValue = mVppStd / 2 * 1E-3
  8.035  CALL         Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
  8.036  MATH         RsltStr = " Rising Slope, 1 div at 10 MHz"
  8.037  EVAL   -e @Triggered : [V RsltStr]

  9.001  HEAD         -2 Falling Slope, 1 div at 10 MHz
  9.002  MATH         MEM = mVppStd
  9.003  5520         mVpp                         10MH           LS SC S  L
  9.004  VISA         TRIG:MAI:EDGE:SLO FALL;*OPC?[I!]
  9.005  CALL         Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
  9.006  MATH         RsltStr = " Falling Slope, 1 div at 10 MHz"
  9.007  EVAL   -e @Triggered : [V RsltStr]

 10.001  VISA         TRIG:MAI:EDGE:SLO RISE;*OPC?[I!]

 10.002  IF           @Bandwidth == 40E+6
 10.003  MATH         FreqMHz = "40 MHz"
 10.004  ELSEIF       @Bandwidth == 60E+6
 10.005  MATH         FreqMHz = "50 MHz"
 10.006  ELSEIF       @Bandwidth == 50E+6
 10.007  MATH         FreqMHz = "60 MHz"
 10.008  ELSEIF       @Bandwidth == 70E+6
 10.009  MATH         FreqMHz = "70 MHz"
 10.010  ELSEIF       @Bandwidth >= 100E+6
 10.011  MATH         FreqMHz = "100 MHz"
 10.012  ENDIF

 10.013  HEAD         -2 Rising Slope, 1.5 div at [V FreqMHz]
 10.014  VISA         HOR:SCA 10E-9;*OPC?[I!]

# Firstly set the output of the calibrator so the peak-to-peak measurement is
# approximately 1500 mV (twice of required test signal).
 10.015  MATH         MEM = 1500; MEM1 = MEM

 10.016  DO
 10.017  MATH         MEM = MEM1 + (1500 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 10.018  IF           MEM > 5500 || MEM < 5
 10.019  MATH         MEM = 1500
 10.020  ENDIF

 10.021  DO

 10.022  IF           @Bandwidth == 40E+6
 10.023  5520         mVpp                         40MH           LS SC S  L
 10.024  ELSEIF       @Bandwidth == 50E+6
 10.025  5520         mVpp                         50MH           LS SC S  L
 10.026  ELSEIF       @Bandwidth == 60E+6
 10.027  5520         mVpp                         60MH           LS SC S  L
 10.028  ELSEIF       @Bandwidth == 70E+6
 10.029  5520         mVpp                         70MH           LS SC S  L
 10.030  ELSEIF       @Bandwidth >= 100E+6
 10.031  5520         mVpp                         100MH          LS SC S  L
 10.032  ENDIF

 10.033  VISA         [D1000]TRIG:MAI SETL;*OPC?[I!]
# Check the status of trigger
 10.034  VISA         [D500]TRIG:STATE?[I$]
 10.035  UNTIL        FINDI(MEM2, "TRIG", 1)

 10.036  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
 10.037  MATH         MEM = MEM / 1E-3
 10.038  UNTIL        (MEM >= 1480) && (MEM <= 1620)

# Then attenuate the output of calibrator to half so the input of UUT is
# approximately 750 mVpp that is just the required test signal for trig
# sensitivity (1.5 div at specific frequency).
 10.039  MATH         MEM = MEM1 / 2

 10.040  IF           @Bandwidth == 40E+6
 10.041  5520         mVpp                         40MH           LS SC S  L
 10.042  ELSEIF       @Bandwidth == 50E+6
 10.043  5520         mVpp                         50MH           LS SC S  L
 10.044  ELSEIF       @Bandwidth == 60E+6
 10.045  5520         mVpp                         60MH           LS SC S  L
 10.046  ELSEIF       @Bandwidth == 70E+6
 10.047  5520         mVpp                         70MH           LS SC S  L
 10.048  ELSEIF       @Bandwidth >= 100E+6
 10.049  5520         mVpp                         100MH          LS SC S  L
 10.050  ENDIF

 10.051  MATH         mVppStd = MEM1
# Save the peak value of signal for later checking the trigger status.
 10.052  MATH         @PeakValue = mVppStd / 2 * 1E-3
 10.053  CALL         Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
 10.054  MATH         RsltStr = " Rising Slope, 1.5 div at " & FreqMHz
 10.055  EVAL   -e @Triggered : [V RsltStr]

 11.001  HEAD         -2 Falling Slope, 1.5 div at [V FreqMHz]
 11.002  MATH         MEM = mVppStd

 11.003  IF           @Bandwidth == 40E+6
 11.004  5520         mVpp                         40MH           LS SC S  L
 11.005  ELSEIF       @Bandwidth == 50E+6
 11.006  5520         mVpp                         50MH           LS SC S  L
 11.007  ELSEIF       @Bandwidth == 60E+6
 11.008  5520         mVpp                         60MH           LS SC S  L
 11.009  ELSEIF       @Bandwidth == 70E+6
 11.010  5520         mVpp                         70MH           LS SC S  L
 11.011  ELSEIF       @Bandwidth >= 100E+6
 11.012  5520         mVpp                         100MH          LS SC S  L
 11.013  ENDIF

 11.014  VISA         TRIG:MAI:EDGE:SLO FALL;*OPC?[I!]
 11.015  CALL         Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
 11.016  MATH         RsltStr = " Falling Slope, 1.5 div at " & FreqMHz
 11.017  EVAL   -e @Triggered : [V RsltStr]

 12.001  VISA         TRIG:MAI:EDGE:SLO RISE;*OPC?[I!]

# For UUT whose bandwidth is 200 MHz do additional test.
 12.002  IF           @Bandwidth == 200E+6
 12.003  HEAD         -2 Rising Slope, 2 div at 200 MHz
# Firstly set the output of the calibrator so the peak-to-peak measurement is
# approximately 1500 mV (1.5 times of required test signal).
 12.004  MATH         MEM = 1500; MEM1 = MEM

 12.005  DO
 12.006  MATH         MEM = MEM1 + (1500 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 12.007  IF           MEM > 5500 || MEM < 5
 12.008  MATH         MEM = 1500
 12.009  ENDIF

 12.010  DO
 12.011  5520         mVpp                         200MH          LS SC S  L
 12.012  VISA         [D1000]TRIG:MAI SETL;*OPC?[I!]
# Check the status of trigger
 12.013  VISA         [D500]TRIG:STATE?[I$]
 12.014  UNTIL        FINDI(MEM2, "TRIG", 1)

 12.015  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
 12.016  MATH         MEM = MEM / 1E-3
 12.017  UNTIL        (MEM >= 1480) && (MEM <= 1620)

# Then attenuate the output of calibrator so the input of UUT is approximately
# 1000 mVpp that is just the required test signal for trig sensitivity (2 div
# at 200 MHz).
 12.018  MATH         MEM = MEM1 / 1.5
 12.019  5520         mVpp                         200MH          LS SC S  L
 12.020  MATH         mVppStd = MEM1
# Save the peak value of signal for later checking the trigger status.
 12.021  MATH         @PeakValue = mVppStd / 2 * 1E-3
 12.022  CALL         Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
 12.023  MATH         RsltStr = " Rising Slope, 2 div at 200 MHz"
 12.024  EVAL   -e @Triggered : [V RsltStr]

 13.001  HEAD         -2 Falling Slope, 2 div at 200 MHz
 13.002  MATH         MEM = mVppStd
 13.003  5520         mVpp                         200MH          LS SC S  L
 13.004  VISA         TRIG:MAI:EDGE:SLO FALL;*OPC?[I!]
 13.005  CALL         Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
 13.006  MATH         RsltStr = " Falling Slope, 2 div at 200 MHz"
 13.007  EVAL   -e @Triggered : [V RsltStr]

 14.001  VISA         TRIG:MAI:EDGE:SLO RISE;*OPC?[I!]
 14.002  ENDIF

 14.003  HEAD         -2
 14.004  HEAD
 14.005  5520         *                                                 S
 14.006  END

 14.007  EVAL   Increment step number

# ******************************* External Trigger **************************

 15.001  LABEL        EXT_TRIGGER
 15.002  HEAD         EXTERNAL EDGE-TRIGGER SENSITIVITY (CH [V @Chan])

 15.003  IF           @Chan == 1
 15.004  RSLT         =
 15.005  RSLT         =EXTERNAL EDGE-TRIGGER SENSITIVITY
 15.006  ENDIF

 15.007  RSLT         =
 15.008  RSLT         =Channel [V @Chan]

 15.009  IF           @Bandwidth == 40E+6
 15.010  MATH         FreqMHz = "40  MHz"
 15.011  ELSEIF       @Bandwidth == 50E+6
 15.012  MATH         FreqMHz = "50 MHz"
 15.013  ELSEIF       @Bandwidth == 60E+6
 15.014  MATH         FreqMHz = "60 MHz"
 15.015  ELSEIF       @Bandwidth == 70E+6
 15.016  MATH         FreqMHz = "70 MHz"
 15.017  ELSEIF       @Bandwidth >= 100E+6
 15.018  MATH         FreqMHz = "100 MHz"
 15.019  ENDIF

 15.020  TARGET       -p
 15.021  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7][D250]
 15.022  HEAD         -2 Rising Slope, 200 mVpp at [V FreqMHz]
 15.023  DISP         Connect the 5520A SCOPE OUT to the input of a 2 way
 15.023  DISP         power splitter via a BNC(f) to SMA(m) adapter.
 15.023  DISP
 15.023  DISP         Connect one output of power splitter to UUT CH [V @Chan]
 15.023  DISP         via SMA(f) to SMA(f) and SMA(m) to BNC(f) adpaters, a
 15.023  DISP         BNC(m)-(m) cable and a 50 Ohm feed through terminator.
 15.023  DISP
 15.023  DISP         Connect the other output of the power splitter to UUT
 15.023  DISP         EXT TRIG via SMA(f) to SMA(f) and SMA(m) to BNC(f)
 15.023  DISP         adapters, a BNC(m)-(m) cable and a 50 Ohm feed through
 15.023  DISP         terminator.

 15.024  IF           @Bandwidth == 200E+6
 15.025  DISP         The next operator intervention occurs in
 15.025  DISP         approximately 50 seconds ...
 15.026  ELSE
 15.027  DISP         The next operator intervention occurs in
 15.027  DISP         approximately 30 seconds ...
 15.028  ENDIF

 15.029  VISA         CH[V @Chan]:PRO 1;SCA 100E-3
 15.030  VISA         HOR:SCA 10E-9
 15.031  VISA         TRIG:MAI:MOD NORM;EDGE:SOU EXT
 15.032  VISA         ACQ:MOD SAMP;STATE ON
 15.033  VISA         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2;*OPC?[I!]

# Firstly Set the output of the calibrator so the peak-to-peak measurement is
# approximately 400 mV, for the reason of using power splitter the output of
# calibrator is approximately twice of peak-to-peak measurement, i.e 800 mV.
 15.034  MATH         MEM = 400; MEM1 = 800

 15.035  DO
 15.036  MATH         MEM = MEM1 + (800 - 2 * MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 15.037  IF           MEM > 5500 || MEM < 5
 15.038  MATH         MEM = 800
 15.039  ENDIF

 15.040  5520         mVpp                         10MH           LS SC S  L
 15.041  VISA         TRIG:MAI SETL;*OPC?[I!]
 15.042  VISA         [D1000]MEASU:MEAS[V @Chan]:VAL?[I]
 15.043  MATH         MEM = MEM / 1E-3
 15.044  UNTIL        (MEM >= 392) && (MEM <= 408)

# Then attenuate the output of calibrator to half so the input of UUT is
# approximately 200 mVpp that is just the required test signal for external
# trig sensitivity.
 15.045  MATH         MEM = MEM1 / 2

 15.046  IF           @Bandwidth == 40E+6
 15.047  5520         mVpp                         40MH           LS SC S  L
 15.048  ELSEIF       @Bandwidth == 50E+6
 15.049  5520         mVpp                         50MH           LS SC S  L
 15.050  ELSEIF       @Bandwidth == 60E+6
 15.051  5520         mVpp                         60MH           LS SC S  L
 15.052  ELSEIF       @Bandwidth == 70E+6
 15.053  5520         mVpp                         70MH           LS SC S  L
 15.054  ELSEIF       @Bandwidth >= 100E+6
 15.055  5520         mVpp                         100MH          LS SC S  L
 15.056  ENDIF

 15.057  MATH         mVppStd = MEM1
# Save the peak value of signal for later checking the trigger status.
 15.058  MATH         @PeakValue = mVppStd / 4 * 1E-3
 15.059  CALL         Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
 15.060  MATH         RsltStr = " Rising Slope, 200 mVpp at " & FreqMHz
 15.061  EVAL   -e @Triggered : [V RsltStr]

 16.001  HEAD         -2 Falling Slope, 200 mVpp at [V FreqMHz]
 16.002  MATH         MEM = mVppStd

 16.003  IF           @Bandwidth == 40E+6
 16.004  5520         mVpp                         40MH           LS SC S  L
 16.005  ELSEIF       @Bandwidth == 50E+6
 16.006  5520         mVpp                         50MH           LS SC S  L
 16.007  ELSEIF       @Bandwidth == 60E+6
 16.008  5520         mVpp                         60MH           LS SC S  L
 16.009  ELSEIF       @Bandwidth == 70E+6
 16.010  5520         mVpp                         70MH           LS SC S  L
 16.011  ELSEIF       @Bandwidth >= 100E+6
 16.012  5520         mVpp                         100MH          LS SC S  L
 16.013  ENDIF

 16.014  VISA         TRIG:MAI:EDGE:SLO FALL;*OPC?[I!]
 16.015  CALL         Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
 16.016  MATH         RsltStr = " Falling Slope, 200 mVpp at " & FreqMHz
 16.017  EVAL   -e @Triggered : [V RsltStr]

 17.001  VISA         TRIG:MAI:EDGE:SLO RISE;*OPC?[I!]

# For UUT whose bandwidth is 200 MHz do additional test.
 17.002  IF           @Bandwidth == 200E+6
 17.003  HEAD         -2 Rising Slope at 200 MHz, 350 mVpp
# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 700 mV, for the reason of using power slitter the output of
# calibrator is approximately twice of peak-to-peak measurement, i.e 1400 mV.
 17.004  MATH         MEM = 700; MEM1 = 1400

 17.005  DO
 17.006  MATH         MEM = MEM1 + (1400 - 2 * MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 17.007  IF           MEM > 5500 || MEM < 5
 17.008  MATH         MEM = 1400
 17.009  ENDIF

 17.010  5520         mVpp                         200MH          LS SC S  L
 17.011  VISA         [D1000]MEASU:MEAS[V @Chan]:VAL?[I]
 17.012  MATH         MEM = MEM / 1E-3
 17.013  UNTIL        (MEM >= 680) && (MEM <= 720)

# Then attenuate the output of calibrator to half so the input of UUT is
# approximately 350 mVpp that is just the required test signal for external
# trig sensitivity.
 17.014  MATH         MEM = MEM1 / 2
 17.015  5520         mVpp                         200MH          LS SC S  L
 17.016  MATH         mVppStd = MEM1
# Save the peak value of signal for later checking the trigger status.
 17.017  MATH         @PeakValue = mVppStd / 4 * 1E-3
 17.018  CALL         Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
 17.019  MATH         RsltStr = " Rising Slope at 200 MHz, 350 mVpp"
 17.020  EVAL   -e @Triggered : [V RsltStr]

 18.001  HEAD         -2 Falling Slope at 200 MHz, 350 mVpp
 18.002  MATH         MEM = mVppStd
 18.003  5520         mVpp                         200MH          LS SC S  L
 18.004  VISA         TRIG:MAI:EDGE:SLO FALL;*OPC?[I!]
 18.005  CALL         Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
 18.006  MATH         RsltStr = " Falling Slope at 200 MHz, 350 mVpp"
 18.007  EVAL   -e @Triggered : [V RsltStr]

 19.001  VISA         TRIG:MAI:EDGE:SLO RISE;*OPC?[I!]
 19.002  ENDIF

 19.003  HEAD         -2
 19.004  HEAD
 19.005  5520         *                                                 S
 19.006  END

 19.007  EVAL   Increment step number

# ******************************* Sample Rate *****************************

 20.001  LABEL        SAMPLE_RATE
 20.002  RSLT         =
 20.003  HEAD         SAMPLE RATE AND DELAY TIME ACCURACY
 20.004  TARGET
 20.005  VISA         CH[V @Chan]:PRO 1;SCA 500E-3
 20.006  VISA         HOR:SCA 1E-3
 20.007  VISA         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2;*OPC?[I!]
 20.008  5520         10mT                                        MK SC S  L
 20.009  VISA         TRIG:MAI SETL
 20.010  VISA         CH[V @Chan]:POS 0;*OPC?[I!]

 20.011  WAIT         -t 2 System settling...
# Center the time mark signal on the screen.
 20.012  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
# Compute desired vertical position based on Pk-Pk reading and vertical scale.
 20.013  MATH         L[1] = -1 * ((MEM / 2) / 500E-3)
 20.014  VISA         CH[V @Chan]:POS [L1]
 20.015  VISA         HOR:POS 10E-3;SCA 250E-9;*OPC?[I!]
 20.016  MESS         Does the rising edge of the marker cross the center
 20.016  MESS         horizontal graticule line within ±2 divisions of
 20.016  MESS         center graticule?
 20.017  EVAL   -s "SAMPLE RATE AND DELAY TIME ACCURACY" :

 21.001  MESS
 21.002  HEAD
 21.003  5520         *                                                 S
 21.004  END
