﻿fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /5520+SC
DATE:                  2011-01-18 11:24:53
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       547
CONFIGURATION:         Fluke 5520A (SC)
=============================================================================
#
#  Procedure Author:
#        ZY, VY
#
#  Model(s) Covered:
#        TDS1000B Series
#          TDS 1001B, TDS 1002B, TDS 1012B
#        TDS2000B Series
#          TDS 2002B, TDS 2004B, TDS 2012B, TDS 2014B, TDS 2022B, TDS 2024B
#        TDS1000B-SC Series
#          TDS 1001B-SC, TDS 1002B-SC, TDS 1012B-SC
#        TDS1000C-SC Series
#          TDS 1001C-SC, TDS 1002C-SC, TDS 1012C-SC
#        TDS2000C Series
#          TDS 2001C, TDS2004C, TDS2002C, TDS2014C, TDS2012C
#          TDS2024C, TDS2022C
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Tek TDS1000B/2000B Select Channel VISA
#        Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         VERTICAL POSITION ACCURACY
  1.002  VISA         *RST;HEADER OFF;*OPC?[I!]
  1.003  CALL         Sub Tek TDS1000B/2000B Select Channel VISA

  1.004  IF           @Chan == 1
  1.005  RSLT         =
  1.006  RSLT         =VERTICAL POSITION ACCURACY
  1.007  ENDIF

  1.008  RSLT         =
  1.009  HEAD         -2{Channel [V @Chan]}
  1.010  TARGET
  1.011  VISA         CH[V @Chan]:PRO 1;SCA 50E-3
  1.012  VISA         TRIG:MAI:MOD AUTO;EDGE:SOU EXT
  1.013  VISA         ACQ:MOD SAMP;STATE ON
  1.014  VISA         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP MEAN;*OPC?[I!]

# @MeasError = ABS(Nominal - UUT indicated)
# @Margin = @Limit - @MeasError
# @Result: indicated the test result for each point
  1.015  MATH         @MeasError = 0
  1.016  MATH         @Result = 0

# @Limit is the upper limit for each test point
  1.017  MATH         @Limit = 0.028
  1.018  5520         1.8V                                           SC S
  1.019  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.020  JMPL         TEST_EVALUATION              @Result

  1.021  MATH         @Limit = 0.0276
  1.022  5520         1.76V                                          SC S
  1.023  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.024  JMPL         TEST_EVALUATION              @Result

  1.025  MATH         @Limit = 0.0272
  1.026  5520         1.72V                                          SC S
  1.027  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.028  JMPL         TEST_EVALUATION              @Result

  1.029  MATH         @Limit = 0.0268
  1.030  5520         1.68V                                          SC S
  1.031  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.032  JMPL         TEST_EVALUATION              @Result

  1.033  MATH         @Limit = 0.0264
  1.034  5520         1.64V                                          SC S
  1.035  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.036  JMPL         TEST_EVALUATION              @Result

  1.037  MATH         @Limit = 0.026
  1.038  5520         1.6V                                           SC S
  1.039  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.040  JMPL         TEST_EVALUATION              @Result

  1.041  MATH         @Limit = 0.0256
  1.042  5520         1.56V                                          SC S
  1.043  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.044  JMPL         TEST_EVALUATION              @Result

  1.045  MATH         @Limit = 0.0252
  1.046  5520         1.52V                                          SC S
  1.047  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.048  JMPL         TEST_EVALUATION              @Result

  1.049  MATH         @Limit = 0.0248
  1.050  5520         1.48V                                          SC S
  1.051  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.052  JMPL         TEST_EVALUATION              @Result

  1.053  MATH         @Limit = 0.0244
  1.054  5520         1.44V                                          SC S
  1.055  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.056  JMPL         TEST_EVALUATION              @Result

  1.057  MATH         @Limit = 0.024
  1.058  5520         1.40V                                          SC S
  1.059  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.060  JMPL         TEST_EVALUATION              @Result

  1.061  MATH         @Limit = 0.0236
  1.062  5520         1.36V                                          SC S
  1.063  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.064  JMPL         TEST_EVALUATION              @Result

  1.065  MATH         @Limit = 0.0232
  1.066  5520         1.32V                                          SC S
  1.067  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.068  JMPL         TEST_EVALUATION              @Result

  1.069  MATH         @Limit = 0.0228
  1.070  5520         1.28V                                          SC S
  1.071  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.072  JMPL         TEST_EVALUATION              @Result

  1.073  MATH         @Limit = 0.0224
  1.074  5520         1.24V                                          SC S
  1.075  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.076  JMPL         TEST_EVALUATION              @Result

  1.077  MATH         @Limit = 0.022
  1.078  5520         1.20V                                          SC S
  1.079  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.080  JMPL         TEST_EVALUATION              @Result

  1.081  MATH         @Limit = 0.0216
  1.082  5520         1.16V                                          SC S
  1.083  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.084  JMPL         TEST_EVALUATION              @Result

  1.085  MATH         @Limit = 0.0212
  1.086  5520         1.12V                                          SC S
  1.087  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.088  JMPL         TEST_EVALUATION              @Result

  1.089  MATH         @Limit = 0.0208
  1.090  5520         1.08V                                          SC S
  1.091  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.092  JMPL         TEST_EVALUATION              @Result

  1.093  MATH         @Limit = 0.0204
  1.094  5520         1.04V                                          SC S
  1.095  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.096  JMPL         TEST_EVALUATION              @Result

  1.097  MATH         @Limit = 0.02
  1.098  5520         1.00V                                          SC S
  1.099  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.100  JMPL         TEST_EVALUATION              @Result

  1.101  MATH         @Limit = 0.0196
  1.102  5520         0.96V                                          SC S
  1.103  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.104  JMPL         TEST_EVALUATION              @Result

  1.105  MATH         @Limit = 0.0192
  1.106  5520         0.92V                                          SC S
  1.107  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.108  JMPL         TEST_EVALUATION              @Result

  1.109  MATH         @Limit = 0.0188
  1.110  5520         0.88V                                          SC S
  1.111  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.112  JMPL         TEST_EVALUATION              @Result

  1.113  MATH         @Limit = 0.0184
  1.114  5520         0.84V                                          SC S
  1.115  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.116  JMPL         TEST_EVALUATION              @Result

  1.117  MATH         @Limit = 0.018
  1.118  5520         0.80V                                          SC S
  1.119  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.120  JMPL         TEST_EVALUATION              @Result

  1.121  MATH         @Limit = 0.0176
  1.122  5520         0.76V                                          SC S
  1.123  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.124  JMPL         TEST_EVALUATION              @Result

  1.125  MATH         @Limit = 0.0172
  1.126  5520         0.72V                                          SC S
  1.127  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.128  JMPL         TEST_EVALUATION              @Result

  1.129  MATH         @Limit = 0.0168
  1.130  5520         0.68V                                          SC S
  1.131  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.132  JMPL         TEST_EVALUATION              @Result

  1.133  MATH         @Limit = 0.0164
  1.134  5520         0.64V                                          SC S
  1.135  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.136  JMPL         TEST_EVALUATION              @Result

  1.137  MATH         @Limit = 0.016
  1.138  5520         0.60V                                          SC S
  1.139  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.140  JMPL         TEST_EVALUATION              @Result

  1.141  MATH         @Limit = 0.0156
  1.142  5520         0.56V                                          SC S
  1.143  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.144  JMPL         TEST_EVALUATION              @Result

  1.145  MATH         @Limit = 0.0152
  1.146  5520         0.52V                                          SC S
  1.147  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.148  JMPL         TEST_EVALUATION              @Result

  1.149  MATH         @Limit = 0.0148
  1.150  5520         0.48V                                          SC S
  1.151  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.152  JMPL         TEST_EVALUATION              @Result

  1.153  MATH         @Limit = 0.0144
  1.154  5520         0.44V                                          SC S
  1.155  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.156  JMPL         TEST_EVALUATION              @Result

  1.157  MATH         @Limit = 0.014
  1.158  5520         0.40V                                          SC S
  1.159  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.160  JMPL         TEST_EVALUATION              @Result

  1.161  MATH         @Limit = 0.0136
  1.162  5520         0.36V                                          SC S
  1.163  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.164  JMPL         TEST_EVALUATION              @Result

  1.165  MATH         @Limit = 0.0132
  1.166  5520         0.32V                                          SC S
  1.167  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.168  JMPL         TEST_EVALUATION              @Result

  1.169  MATH         @Limit = 0.0128
  1.170  5520         0.28V                                          SC S
  1.171  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.172  JMPL         TEST_EVALUATION              @Result

  1.173  MATH         @Limit = 0.0124
  1.174  5520         0.24V                                          SC S
  1.175  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.176  JMPL         TEST_EVALUATION              @Result

  1.177  MATH         @Limit = 0.012
  1.178  5520         0.20V                                          SC S
  1.179  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.180  JMPL         TEST_EVALUATION              @Result

  1.181  MATH         @Limit = 0.0116
  1.182  5520         0.16V                                          SC S
  1.183  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.184  JMPL         TEST_EVALUATION              @Result

  1.185  MATH         @Limit = 0.0112
  1.186  5520         0.12V                                          SC S
  1.187  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.188  JMPL         TEST_EVALUATION              @Result

  1.189  MATH         @Limit = 0.0108
  1.190  5520         0.08V                                          SC S
  1.191  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.192  JMPL         TEST_EVALUATION              @Result

  1.193  MATH         @Limit = 0.0104
  1.194  5520         0.04V                                          SC S
  1.195  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.196  JMPL         TEST_EVALUATION              @Result

  1.197  MATH         @Limit = 0.01
  1.198  5520         0.00V                                          SC S
  1.199  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.200  JMPL         TEST_EVALUATION              @Result

  1.201  MATH         @Limit = 0.0104
  1.202  5520         -0.04V                                         SC S
  1.203  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.204  JMPL         TEST_EVALUATION              @Result

  1.205  MATH         @Limit = 0.01079
  1.206  5520         -0.08V                                         SC S
  1.207  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.208  JMPL         TEST_EVALUATION              @Result

  1.209  MATH         @Limit = 0.0112
  1.210  5520         -0.12V                                         SC S
  1.211  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.212  JMPL         TEST_EVALUATION              @Result

  1.213  MATH         @Limit = 0.01159
  1.214  5520         -0.16V                                         SC S
  1.215  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.216  JMPL         TEST_EVALUATION              @Result

  1.217  MATH         @Limit = 0.01199
  1.218  5520         -0.20V                                         SC S
  1.219  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.220  JMPL         TEST_EVALUATION              @Result

  1.221  MATH         @Limit = 0.01239
  1.222  5520         -0.24V                                         SC S
  1.223  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.224  JMPL         TEST_EVALUATION              @Result

  1.225  MATH         @Limit = 0.01279
  1.226  5520         -0.28V                                         SC S
  1.227  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.228  JMPL         TEST_EVALUATION              @Result

  1.229  MATH         @Limit = 0.01319
  1.230  5520         -0.32V                                         SC S
  1.231  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.232  JMPL         TEST_EVALUATION              @Result

  1.233  MATH         @Limit = 0.01359
  1.234  5520         -0.36V                                         SC S
  1.235  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.236  JMPL         TEST_EVALUATION              @Result

  1.237  MATH         @Limit = 0.01399
  1.238  5520         -0.40V                                         SC S
  1.239  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.240  JMPL         TEST_EVALUATION              @Result

  1.241  MATH         @Limit = 0.01439
  1.242  5520         -0.44V                                         SC S
  1.243  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.244  JMPL         TEST_EVALUATION              @Result

  1.245  MATH         @Limit = 0.0148
  1.246  5520         -0.48V                                         SC S
  1.247  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.248  JMPL         TEST_EVALUATION              @Result

  1.249  MATH         @Limit = 0.0152
  1.250  5520         -0.52V                                         SC S
  1.251  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.252  JMPL         TEST_EVALUATION              @Result

  1.253  MATH         @Limit = 0.0156
  1.254  5520         -0.56V                                         SC S
  1.255  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.256  JMPL         TEST_EVALUATION              @Result

  1.257  MATH         @Limit = 0.016
  1.258  5520         -0.60V                                         SC S
  1.259  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.260  JMPL         TEST_EVALUATION              @Result

  1.261  MATH         @Limit = 0.0164
  1.262  5520         -0.64V                                         SC S
  1.263  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.264  JMPL         TEST_EVALUATION              @Result

  1.265  MATH         @Limit = 0.0168
  1.266  5520         -0.68V                                         SC S
  1.267  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.268  JMPL         TEST_EVALUATION              @Result

  1.269  MATH         @Limit = 0.0172
  1.270  5520         -0.72V                                         SC S
  1.271  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.272  JMPL         TEST_EVALUATION              @Result

  1.273  MATH         @Limit = 0.0176
  1.274  5520         -0.76V                                         SC S
  1.275  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.276  JMPL         TEST_EVALUATION              @Result

  1.277  MATH         @Limit = 0.018
  1.278  5520         -0.80V                                         SC S
  1.279  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.280  JMPL         TEST_EVALUATION              @Result

  1.281  MATH         @Limit = 0.0184
  1.282  5520         -0.84V                                         SC S
  1.283  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.284  JMPL         TEST_EVALUATION              @Result

  1.285  MATH         @Limit = 0.0188
  1.286  5520         -0.88V                                         SC S
  1.287  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.288  JMPL         TEST_EVALUATION              @Result

  1.289  MATH         @Limit = 0.0192
  1.290  5520         -0.92V                                         SC S
  1.291  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.292  JMPL         TEST_EVALUATION              @Result

  1.293  MATH         @Limit = 0.0196
  1.294  5520         -0.96V                                         SC S
  1.295  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.296  JMPL         TEST_EVALUATION              @Result

  1.297  MATH         @Limit = 0.02
  1.298  5520         -1.00V                                         SC S
  1.299  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.300  JMPL         TEST_EVALUATION              @Result

  1.301  MATH         @Limit = 0.0204
  1.302  5520         -1.04V                                         SC S
  1.303  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.304  JMPL         TEST_EVALUATION              @Result

  1.305  MATH         @Limit = 0.0208
  1.306  5520         -1.08V                                         SC S
  1.307  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.308  JMPL         TEST_EVALUATION              @Result

  1.309  MATH         @Limit = 0.0212
  1.310  5520         -1.12V                                         SC S
  1.311  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.312  JMPL         TEST_EVALUATION              @Result

  1.313  MATH         @Limit = 0.0216
  1.314  5520         -1.16V                                         SC S
  1.315  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.316  JMPL         TEST_EVALUATION              @Result

  1.317  MATH         @Limit = 0.022
  1.318  5520         -1.20V                                         SC S
  1.319  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.320  JMPL         TEST_EVALUATION              @Result

  1.321  MATH         @Limit = 0.0224
  1.322  5520         -1.24V                                         SC S
  1.323  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.324  JMPL         TEST_EVALUATION              @Result

  1.325  MATH         @Limit = 0.0228
  1.326  5520         -1.28V                                         SC S
  1.327  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.328  JMPL         TEST_EVALUATION              @Result

  1.329  MATH         @Limit = 0.0232
  1.330  5520         -1.32V                                         SC S
  1.331  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.332  JMPL         TEST_EVALUATION              @Result

  1.333  MATH         @Limit = 0.0236
  1.334  5520         -1.36V                                         SC S
  1.335  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.336  JMPL         TEST_EVALUATION              @Result

  1.337  MATH         @Limit = 0.024
  1.338  5520         -1.40V                                         SC S
  1.339  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.340  JMPL         TEST_EVALUATION              @Result

  1.341  MATH         @Limit = 0.0244
  1.342  5520         -1.44V                                         SC S
  1.343  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.344  JMPL         TEST_EVALUATION              @Result

  1.345  MATH         @Limit = 0.0248
  1.346  5520         -1.48V                                         SC S
  1.347  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.348  JMPL         TEST_EVALUATION              @Result

  1.349  MATH         @Limit = 0.0252
  1.350  5520         -1.52V                                         SC S
  1.351  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.352  JMPL         TEST_EVALUATION              @Result

  1.353  MATH         @Limit = 0.0256
  1.354  5520         -1.56V                                         SC S
  1.355  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.356  JMPL         TEST_EVALUATION              @Result

  1.357  MATH         @Limit = 0.026
  1.358  5520         -1.60V                                         SC S
  1.359  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.360  JMPL         TEST_EVALUATION              @Result

  1.361  MATH         @Limit = 0.0264
  1.362  5520         -1.64V                                         SC S
  1.363  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.364  JMPL         TEST_EVALUATION              @Result

  1.365  MATH         @Limit = 0.0268
  1.366  5520         -1.68V                                         SC S
  1.367  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.368  JMPL         TEST_EVALUATION              @Result

  1.369  MATH         @Limit = 0.0272
  1.370  5520         -1.72V                                         SC S
  1.371  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.372  JMPL         TEST_EVALUATION              @Result

  1.373  MATH         @Limit = 0.0276
  1.374  5520         -1.76V                                         SC S
  1.375  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
  1.376  JMPL         TEST_EVALUATION              @Result

  1.377  MATH         @Limit = 0.028
  1.378  5520         -1.80V                                         SC S
  1.379  CALL         Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA

  1.380  LABEL        TEST_EVALUATION
  1.381  5520         *                                                 S
  1.382  MATH         TestText = " Vertical Position, Min Margin:"
  1.383  MATH         TestText = TestText & FMT(@Margin, "%.3f")
  1.384  EVAL   -e @Margin > 0 : [V TestText]

  2.001  HEAD         -2
  2.002  HEAD
  2.003  END
