﻿fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
DATE:                  2011-01-18 09:50:15
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       85
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        TDS1000B Series
#          TDS 1001B, TDS 1002B, TDS 1012B
#        TDS2000B Series
#          TDS 2002B, TDS 2004B, TDS 2012B, TDS 2014B, TDS 2022B, TDS 2024B
#        TDS1000B-SC Series
#          TDS 1001B-SC, TDS 1002B-SC, TDS 1012B-SC
#        TDS2000C Series
#          TDS 2001C, TDS2004C, TDS2002C, TDS2014C, TDS2012C
#          TDS2024C, TDS2022C
#        TDS1000C-SC Series
#          TDS 1001C-SC, TDS 1002C-SC, TDS 1012C-SC
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         LoopTimes = 3

  1.002  DO
# Calculate the vertical position of the specified value.
# Adjust the vertical position for the DC line to position
# the line in the center of the screen.
  1.003  MATH         Divs = FMT(0 - (MEM1 / 0.05), "%.2f")
  1.004  VISA         CH[V @Chan]:POS [V Divs]
  1.005  WAIT         [D2000]
  1.006  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  1.007  MATH         @MeasError = ABS(MEM1 - MEM)
  1.008  VISA         CH[V @Chan]:POS 0

# The first test point, set the original "Margin" & "LastMargin" value.
  1.009  MATH         Deviation = @Limit - @MeasError

  1.010  IF           MEM1 == 1.8
  1.011  MATH         @Margin = Deviation
  1.012  ELSE
  1.013  MATH         @Margin = MIN2(@Margin, Deviation)
  1.014  ENDIF

  1.015  MATH         LoopTimes = LoopTimes - 1
  1.016  UNTIL        (LoopTimes < 1)

  1.017  MATH         @Result = (@MeasError > @Limit)
  1.018  END
