﻿fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS1000B/2000B Specifications
DATE:                  2011-01-18 09:57:17
AUTHOR:                Fluke Corporation
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       153
=============================================================================
#
#  Procedure Author:
#        DAC, VY, ZY
#
#  Model(s) Covered:
#        TDS1000B Series
#          TDS 1001B, TDS 1002B, TDS 1012B
#        TDS1000B-SC Series
#          TDS 1001B-SC, TDS 1002B-SC, TDS 1012B-SC
#        TDS1000C-SC Series
#          TDS 1001C-SC, TDS 1002C-SC, TDS 1012C-SC
#        TDS2000B Series
#          TDS 2002B, TDS 2004B, TDS 2012B, TDS 2014B, TDS 2022B, TDS 2024B
#        TDS2000C Series
#          TDS 2001C, TDS2004C, TDS2002C, TDS2014C, TDS2012C
#          TDS2024C, TDS2022C
#
#  Compatibility:
#        5500/CAL or MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           ZCMPI(@ModelNum, "TDS 1001B")
  1.002  MATH         @Bandwidth = 40E+6;  @NumChan = 2
  1.003  MATH         @SigPathCompTime = 150

  1.004  ELSEIF       ZCMPI(@ModelNum, "TDS 1001B-SC")
  1.005  MATH         @Bandwidth = 40E+6;  @NumChan = 2
  1.006  MATH         @SigPathCompTime = 150

  1.007  ELSEIF       ZCMPI(@ModelNum, "TDS 1001C-SC")
  1.008  MATH         @Bandwidth = 40E+6;  @NumChan = 2
  1.009  MATH         @SigPathCompTime = 150

  1.010  ELSEIF       ZCMPI(@ModelNum, "TDS 2001C")
  1.011  MATH         @Bandwidth = 50E+6;  @NumChan = 2
  1.012  MATH         @SigPathCompTime = 170

  1.013  ELSEIF       ZCMPI(@ModelNum, "TDS 1002B")
  1.014  MATH         @Bandwidth = 60E+6;  @NumChan = 2
  1.015  MATH         @SigPathCompTime = 150

  1.016  ELSEIF       ZCMPI(@ModelNum, "TDS 1002B-SC")
  1.017  MATH         @Bandwidth = 60E+6;  @NumChan = 2
  1.018  MATH         @SigPathCompTime = 150

  1.019  ELSEIF       ZCMPI(@ModelNum, "TDS 1002C-SC")
  1.020  MATH         @Bandwidth = 60E+6;  @NumChan = 2
  1.021  MATH         @SigPathCompTime = 150

  1.022  ELSEIF       ZCMPI(@ModelNum, "TDS 2002B")
  1.023  MATH         @Bandwidth = 60E+6;  @NumChan = 2
  1.024  MATH         @SigPathCompTime = 150

  1.025  ELSEIF       ZCMPI(@ModelNum, "TDS 2002C")
  1.026  MATH         @Bandwidth = 70E+6;  @NumChan = 2
  1.027  MATH         @SigPathCompTime = 170

  1.028  ELSEIF       ZCMPI(@ModelNum, "TDS 1012B")
  1.029  MATH         @Bandwidth = 100E+6; @NumChan = 2
  1.030  MATH         @SigPathCompTime = 150

  1.031  ELSEIF       ZCMPI(@ModelNum, "TDS 1012B-SC")
  1.032  MATH         @Bandwidth = 100E+6; @NumChan = 2
  1.033  MATH         @SigPathCompTime = 150

  1.034  ELSEIF       ZCMPI(@ModelNum, "TDS 1012C-SC")
  1.035  MATH         @Bandwidth = 100E+6; @NumChan = 2
  1.036  MATH         @SigPathCompTime = 150

  1.037  ELSEIF       ZCMPI(@ModelNum, "TDS 2012B")
  1.038  MATH         @Bandwidth = 100E+6; @NumChan = 2
  1.039  MATH         @SigPathCompTime = 150

  1.040  ELSEIF       ZCMPI(@ModelNum, "TDS 2012C")
  1.041  MATH         @Bandwidth = 100E+6; @NumChan = 2
  1.042  MATH         @SigPathCompTime = 150

  1.043  ELSEIF       ZCMPI(@ModelNum, "TDS 2022B")
  1.044  MATH         @Bandwidth = 200E+6; @NumChan = 2
  1.045  MATH         @SigPathCompTime = 150

  1.046  ELSEIF       ZCMPI(@ModelNum, "TDS 2022C")
  1.047  MATH         @Bandwidth = 200E+6; @NumChan = 2
  1.048  MATH         @SigPathCompTime = 150

  1.049  ELSEIF       ZCMPI(@ModelNum, "TDS 2004B")
  1.050  MATH         @Bandwidth = 60E+6;  @NumChan = 4
  1.051  MATH         @SigPathCompTime = 220

  1.052  ELSEIF       ZCMPI(@ModelNum, "TDS 2014B")
  1.053  MATH         @Bandwidth = 100E+6; @NumChan = 4
  1.054  MATH         @SigPathCompTime = 220

  1.055  ELSEIF       ZCMPI(@ModelNum, "TDS 2024B")
  1.056  MATH         @Bandwidth = 200E+6; @NumChan = 4
  1.057  MATH         @SigPathCompTime = 220

  1.058  ELSEIF       ZCMPI(@ModelNum, "TDS 2004C")
  1.059  MATH         @Bandwidth = 70E+6;  @NumChan = 4
  1.060  MATH         @SigPathCompTime = 220

  1.061  ELSEIF       ZCMPI(@ModelNum, "TDS 2014C")
  1.062  MATH         @Bandwidth = 100E+6; @NumChan = 4
  1.063  MATH         @SigPathCompTime = 220

  1.064  ELSEIF       ZCMPI(@ModelNum, "TDS 2024C")
  1.065  MATH         @Bandwidth = 200E+6; @NumChan = 4
  1.066  MATH         @SigPathCompTime = 220

  1.067  ELSE
  1.068  DISP         Sub Tek TDS1000B/2000B Specifications
  1.068  DISP
  1.068  DISP         Unsupported model number: [V @ModelNum]
  1.069  ENDIF

  1.070  END
