﻿fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS1000B/2000B Self-Test VISA
INSTRUMENT:            Sub Tek TDS1000B/2000B Sig Path Comp Cal VISA
INSTRUMENT:            Sub Tek TDS1000B/2000B Select Channel VISA
INSTRUMENT:            Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
DATE:                  2011-01-18 09:54:15
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       193
=============================================================================
#
#  Procedure Author:
#        DAC, VY, ZY
#
#  Model(s) Covered:
#        TDS1000B Series
#          TDS 1001B, TDS 1002B, TDS 1012B
#        TDS2000B Series
#          TDS 2002B, TDS 2004B, TDS 2012B, TDS 2014B, TDS 2022B, TDS 2024B
#        TDS1000B-SC Series
#          TDS 1001B-SC, TDS 1002B-SC, TDS 1012B-SC
#        TDS1000C-SC Series
#          TDS 1001C-SC, TDS 1002C-SC, TDS 1012C-SC
#        TDS2000C Series
#          TDS 2001C, TDS2004C, TDS2002C, TDS2014C, TDS2012C
#          TDS2024C, TDS2022C
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SELF_TEST                    PSUBI("Self-Test")
  1.002  JMPL         SIGNAL_PATH_COMPENSATION     PSUBI("Sig Path Comp")
  1.003  JMPL         SELECT_CHANNEL               PSUBI("Select Channel")
  1.004  JMPL         TRIGGER                      PSUBI("Trigger Chk")
  1.005  DISP         Undefined subprocedure!
  1.006  END

  1.007  EVAL   Increment step number

#********************* Self-Test ********************************************

  2.001  LABEL        SELF_TEST
  2.002  MATH         @Abort = 0
  2.003  RSLT         =
  2.004  HEAD         SELF TEST
  2.005  TARGET
# Query the result of diagnostics when power on
  2.006  VISA         DIA:RESU:FLA?[I$]
# Self Test evaluation
  2.007  EVAL   -e FINDI(MEM2, "PASS", 1) : SELF TEST

  3.001  IF           NOT(FINDI(MEM2, "PASS", 1))
  3.002  DISP         SELF TEST failed!
  3.002  DISP
  3.002  DISP         The UUT may need to be serviced.
  3.002  DISP
  3.002  DISP         Procedure will be aborted.
  3.003  MATH         @Abort = 1
  3.004  ENDIF

  3.005  END

  3.006  EVAL   Increment step number

#**************** Signal Path Compensation Calibration **********************

  4.001  LABEL        SIGNAL_PATH_COMPENSATION
  4.002  HEAD         SIGNAL PATH COMPENSATION
# Ask the operator if they want to run the test.  It is not necessary to run
# this test again if already ran and the temperature is constant.
  4.003  OPBR         -z It is recommended that a Signal Path Compensation
  4.003  OPBR         Test be performed before running the performance Test.
  4.003  OPBR         It is only necessary to run this test one time.
  4.003  OPBR
  4.003  OPBR         Do you want to run the Signal Path Compensation Test?

  4.004  IF           MEM1
  4.005  RSLT         =
  4.006  DISP         Remove all connections from the UUT.
  4.007  VISA         [T300000]*SRE 0;CAL:INTERNAL
  4.008  MEM2         =Waiting for signal path compensation to complete...
  4.009  WAIT         -t [V@SigPathCompTime] [MEM2]
  4.010  HEAD         SIGNAL PATH COMPENSATION COMPLETE
  4.011  VISA         [T100000]CAL:STATUS?[I$]
  4.012  EVAL   -e FINDI(MEM2, "PASS", 1) : SIGNAL PATH COMPENSATION

  5.001  IF           NOT(FINDI(MEM2, "PASS", 1))
  5.002  DISP         SIGNAL PATH COMPENSATION FAILED!
  5.002  DISP
  5.002  DISP         The UUT may need be serviced.
  5.002  DISP
  5.002  DISP         Procedure will be aborted.
  5.003  MATH         @Abort = 1
  5.004  ENDIF

  5.005  ENDIF

  5.006  END

  5.007  EVAL   Increment step number

#*************************** Select Channel *********************************

  6.001  LABEL        SELECT_CHANNEL
  6.002  VISA         *RST;HEADER OFF;*OPC?[I!]

# Select ON/OFF based on whether UUT is 2 or 4 channel.
  6.003  IF           @NumChan == 2

# Specify channel being tested.
  6.004  IF           @Chan == 1
  6.005  VISA         SELECT:CH1 ON;CH2 OFF
  6.006  ELSE
  6.007  VISA         SELECT:CH1 OFF;CH2 ON
  6.008  ENDIF

  6.009  ELSE         ;  @NumChan == 4

# Specify channel being tested.
  6.010  IF           @Chan == 1
  6.011  VISA         SELECT:CH1 ON;CH2 OFF;CH3 OFF;CH4 OFF
  6.012  ELSEIF       @Chan == 2
  6.013  VISA         SELECT:CH1 OFF;CH2 ON;CH3 OFF;CH4 OFF
  6.014  ELSEIF       @Chan == 3
  6.015  VISA         SELECT:CH1 OFF;CH2 OFF;CH3 ON;CH4 OFF
  6.016  ELSE
  6.017  VISA         SELECT:CH1 OFF;CH2 OFF;CH3 OFF;CH4 ON
  6.018  ENDIF

  6.019  ENDIF

  6.020  END

  6.021  EVAL   Increment step number

#***************** Trigger Chk and Level Adj *********************************

  7.001  LABEL        TRIGGER
# Firstly set the trigger to 50%.
  7.002  VISA         TRIG:MAI SETL
# Set the start point to adjust the trigger level if signal was not triggered
# at 50% position.
  7.003  MATH         TrigLevel = -1 * @PeakValue
# Set the increasement of trigger level.
  7.004  MATH         Step = @PeakValue / 10

  7.005  DO
# Check the status of trigger.
  7.006  VISA         [D1000]TRIG:STATE?[I$]
  7.007  MATH         @Triggered = FINDI(MEM2, "Trig", 1)

  7.008  IF           NOT(@Triggered)
# Increase the trigger level.
  7.009  MATH         TrigLevel = TrigLevel + Step
  7.010  VISA         TRIG:MAI:LEV [V TrigLevel]
  7.011  ENDIF

# Exit loop when signal has been trigged or trigger level has exceeded the
# signal peak value and signal is still not triggered yet.
  7.012  UNTIL        @Triggered || TrigLevel > @PeakValue

  7.013  END
