﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 2014B: (1 year) VER VISA /5520A+SC300
DATE:                  2010-08-16 12:46:39
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       270
CONFIGURATION:         Fluke 5520A (SC)
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY, ZY
# 
#  Models covered:
#        TDS 2014B
# 
#  Source(s):
#        TDS1000B and TDS2000B Series Digital Storage Oscilloscopes
#        Service Manual, PN 071-1828-00
# 
#  Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub Select Failed Test Mode
#        Sub High Voltage Safety Warning
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS1000B/2000B VER Required Equipment /5520
#        Sub Tek TDS1000B/2000B USB Remote Interface Connection
#        Sub Tek TDS1000B/2000B Self-Test VISA
#        Sub Tek TDS1000B/2000B Sig Path Comp Cal VISA
#        Sub Tek TDS1000B/2000B Select Channel VISA
#        Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
#        Sub Tek TDS1000B/2000B Specifications
#        Sub Tek TDS1000B/2000B (1 yr) DCV Meas VISA /5520+SC
#        Sub Tek TDS1000B/2000B (1 yr) Bandwidth VISA /5520+SC
#        Sub Tek TDS1000B/2000B (1 yr) Trig Sens VISA /5520+SC
#        Sub Tek TDS1000B/2000B (1 yr) ExTrig Sens VISA /5520+SC
#        Sub Tek TDS1000B/2000B (1 yr) Sample Rate VISA /5520+SC
#        Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /5520+SC
#        Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        See "Sub Tek TDS1000B/2000B VER Required Equipment /5520"
# 
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :  50 min
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5520         100MH                        1Vpp           LS SC S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.20Z"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning

  1.011  HEAD         EQUIPMENT REQUIREMENTS
  1.012  CALL         Sub Select Failed Test Mode
  1.013  CALL         Sub Select Verification Method (No NTHROW)

  1.014  DISP         Ensure a minimum UUT warm-up time of at least
  1.014  DISP         10 minutes has been allowed to elapse, prior
  1.014  DISP         to beginning verification.

  1.015  HEAD         COMMUNICATION SETUP
  1.016  TARGET
  1.017  CALL         Sub Tek TDS1000B/2000B USB Remote Interface Connection
  1.018  VISA         *RST

  1.019  HEAD         UUT IDENTIFICATION
  1.020  CALL         Sub IEEE-488.2 Identification Query VISA
  1.021  MATH         @UUT_Model = "TDS 2014B"
  1.022  MATH         @UUT_Manufacturer = "Tektronix"
  1.023  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.024  JMPL         END                          @Abort

  1.025  CALL         Sub Tek TDS1000B/2000B Specifications

  1.026  HEAD         EQUIPMENT REQUIREMENTS
  1.027  OPBR         -z Do you want to REVIEW the list of additional
  1.027  OPBR         equipment and/or accessories required?

  1.028  IF           MEM1
  1.029  CALL         Sub Tek TDS1000B/2000B VER Required Equipment /5520
  1.030  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    4.   DCV MEASUREMENT ACC(CH2)           VERTICAL POSITION ACC(CH1)
#    5.   DCV MEASUREMENT ACC(CH3)           DCV MEASUREMENT ACC(CH2)
#    6.   DCV MEASUREMENT ACC(CH4)           VERTICAL POSITION ACC(CH2)
#    7.   BANDWIDTH(CH1)                     DCV MEASUREMENT ACC(CH3)
#    8.   BANDWIDTH(CH2)                     VERTICAL POSITION ACC(CH3)
#    9.   BANDWIDTH(CH3)                     DCV MEASUREMENT ACC(CH4)
#   10.   BANDWIDTH(CH4)                     VERTICAL POSITION ACC(CH4)
#   11.   EDGE-TRIGGER SENSITIVITY(CH1)      BANDWIDTH(CH1)
#   12.   EDGE-TRIGGER SENSITIVITY(CH2)      EDGE-TRIGGER SENSITIVITY(CH1)
#   13.   EDGE-TRIGGER SENSITIVITY(CH3)      SAMPLE RATE AND DELAY TIME ACC
#   14.   EDGE-TRIGGER SENSITIVITY(CH4)      BANDWIDTH(CH2)
#   15.   EXT EDGE-TRIGGER SENSITIVITY(CH1)  EDGE-TRIGGER SENSITIVITY(CH2)
#   16.   EXT EDGE-TRIGGER SENSITIVITY(CH2)  BANDWIDTH(CH3)
#   17.   EXT EDGE-TRIGGER SENSITIVITY(CH3)  EDGE-TRIGGER SENSITIVITY(CH3)
#   18.   EXT EDGE-TRIGGER SENSITIVITY(CH4)  BANDWIDTH(CH4)
#   19.   SAMPLE RATE AND DELAY TIME ACC     EDGE-TRIGGER SENSITIVITY(CH4)
#   20.   VERTICAL POSITION ACC(CH1)         EXT EDGE-TRIGGER SENSITIVITY(CH1)
#   21.   VERTICAL POSITION ACC(CH2)         EXT EDGE-TRIGGER SENSITIVITY(CH2)
#   22.   VERTICAL POSITION ACC(CH3)         EXT EDGE-TRIGGER SENSITIVITY(CH3)
#   23.   VERTICAL POSITION ACC(CH4)         EXT EDGE-TRIGGER SENSITIVITY(CH4)

  1.031  CALL         Sub Tek TDS1000B/2000B Self-Test VISA
  1.032  JMPL         END                          @Abort
  1.033  CALL         Sub Tek TDS1000B/2000B Sig Path Comp Cal VISA
  1.034  JMPL         END                          @Abort

  1.035  MATH         @Chan = 1
  1.036  CALL         Sub Tek TDS1000B/2000B (1 yr) DCV MEAS VISA /5520+SC
  1.037  JMPL         VERTICAL_POSITION_CH1

  1.038  LABEL        DCV_CH2
  1.039  MATH         @Chan = 2
  1.040  CALL         Sub Tek TDS1000B/2000B (1 yr) DCV MEAS VISA /5520+SC
  1.041  JMPL         VERTICAL_POSITION_CH2

  1.042  LABEL        DCV_CH3
  1.043  MATH         @Chan = 3
  1.044  CALL         Sub Tek TDS1000B/2000B (1 yr) DCV MEAS VISA /5520+SC
  1.045  JMPL         VERTICAL_POSITION_CH3

  1.046  LABEL        DCV_CH4
  1.047  MATH         @Chan = 4
  1.048  CALL         Sub Tek TDS1000B/2000B (1 yr) DCV MEAS VISA /5520+SC
  1.049  JMPL         VERTICAL_POSITION_CH4

  1.050  LABEL        BANDWIDTH_CH1
  1.051  MATH         @Chan = 1
  1.052  CALL         Sub Tek TDS1000B/2000B (1 yr) BANDWIDTH VISA /5520+SC
  1.053  JMPL         TRIG_CH1

  1.054  LABEL        BANDWIDTH_CH2
  1.055  MATH         @Chan = 2
  1.056  CALL         Sub Tek TDS1000B/2000B (1 yr) BANDWIDTH VISA /5520+SC
  1.057  JMPL         TRIG_CH2

  1.058  LABEL        BANDWIDTH_CH3
  1.059  MATH         @Chan = 3
  1.060  CALL         Sub Tek TDS1000B/2000B (1 yr) BANDWIDTH VISA /5520+SC
  1.061  JMPL         TRIG_CH3

  1.062  LABEL        BANDWIDTH_CH4
  1.063  MATH         @Chan = 4
  1.064  CALL         Sub Tek TDS1000B/2000B (1 yr) BANDWIDTH VISA /5520+SC
  1.065  JMPL         TRIG_CH4

  1.066  LABEL        TRIG_CH1
  1.067  MATH         @Chan = 1
  1.068  CALL         Sub Tek TDS1000B/2000B (1 yr) TRIG SENS VISA /5520+SC
  1.069  JMPL         SAMPLE_RATE_DELAY_TIME

  1.070  LABEL        TRIG_CH2
  1.071  MATH         @Chan = 2
  1.072  CALL         Sub Tek TDS1000B/2000B (1 yr) TRIG SENS VISA /5520+SC
  1.073  JMPL         BANDWIDTH_CH3

  1.074  LABEL        TRIG_CH3
  1.075  MATH         @Chan = 3
  1.076  CALL         Sub Tek TDS1000B/2000B (1 yr) TRIG SENS VISA /5520+SC
  1.077  JMPL         BANDWIDTH_CH4

  1.078  LABEL        TRIG_CH4
  1.079  MATH         @Chan = 4
  1.080  CALL         Sub Tek TDS1000B/2000B (1 yr) TRIG SENS VISA /5520+SC

  1.081  MATH         @Chan = 1
  1.082  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig Sens VISA /5520+SC

  1.083  MATH         @Chan = 2
  1.084  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig Sens VISA /5520+SC

  1.085  MATH         @Chan = 3
  1.086  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig Sens VISA /5520+SC

  1.087  MATH         @Chan = 4
  1.088  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig Sens VISA /5520+SC
  1.089  JMPL         END

  1.090  LABEL        SAMPLE_RATE_DELAY_TIME
  1.091  MATH         @Chan = 1
  1.092  CALL         Sub Tek TDS1000B/2000B (1 yr) Sample Rate VISA /5520+SC
  1.093  JMPL         BANDWIDTH_CH2

  1.094  LABEL        VERTICAL_POSITION_CH1
  1.095  MATH         @Chan = 1
  1.096  CALL         Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /5520+SC
  1.097  JMPL         DCV_CH2

  1.098  LABEL        VERTICAL_POSITION_CH2
  1.099  MATH         @Chan = 2
  1.100  CALL         Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /5520+SC
  1.101  JMPL         DCV_CH3

  1.102  LABEL        VERTICAL_POSITION_CH3
  1.103  MATH         @Chan = 3
  1.104  CALL         Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /5520+SC
  1.105  JMPL         DCV_CH4

  1.106  LABEL        VERTICAL_POSITION_CH4
  1.107  MATH         @Chan = 4
  1.108  CALL         Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /5520+SC
  1.109  JMPL         BANDWIDTH_CH1

  1.110  LABEL        END

  1.111  IF           @Abort
  1.112  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.113  ELSE
  1.114  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.115  ENDIF

  1.116  VISA         *RST
  1.117  END
